<html>
<head>
<title>Ogre::Resource::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Resource.html">Resource</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Resource_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Resource::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Resource::Listener" -->
<p><code>#include &lt;<a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Resource::Listener:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Resource_1_1Listener__inherit__graph.gif" border="0" usemap="#Ogre_1_1Resource_1_1Listener_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Resource_1_1Listener_inherit__map" id="Ogre_1_1Resource_1_1Listener_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh." alt="" coords="5,83,96,112"/><area shape="rect" id="node5" href="classOgre_1_1GpuProgramUsage.html" title="This class makes the usage of a vertex and fragment programs (low&#45;level or high&#45;level), with a given set of parameters, explicit." alt="" coords="120,83,288,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Resource_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a082340c9150be4d1b0509fd235e26ddc">Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a087cbfc9a4ad6490b09884d482932945">~Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a7e351c772904425efce5e94f0418e6ca">backgroundLoadingComplete</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback to indicate that background loading has completed.  <a href="#a7e351c772904425efce5e94f0418e6ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#abcafaeb14fede970bb6a1f1920dcf2e0">backgroundPreparingComplete</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback to indicate that background preparing has completed.  <a href="#abcafaeb14fede970bb6a1f1920dcf2e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#ac8d962ac52ef53a2ad6ddbdc5b6c9655">loadingComplete</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called whenever the resource finishes loading.  <a href="#ac8d962ac52ef53a2ad6ddbdc5b6c9655"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a7951abdcff85efd6cf58a49d94442f67">preparingComplete</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">called whenever the resource finishes preparing (paging into memory).  <a href="#a7951abdcff85efd6cf58a49d94442f67"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a9f8cdeb73a65a6a1c018e5ac783dfafe">unloadingComplete</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called whenever the resource has been unloaded.  <a href="#a9f8cdeb73a65a6a1c018e5ac783dfafe"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreResource_8h_source.html#l00081">81</a> of file <a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a082340c9150be4d1b0509fd235e26ddc"></a><!-- doxytag: member="Ogre::Resource::Listener::Listener" ref="a082340c9150be4d1b0509fd235e26ddc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Resource_1_1Listener.html#a082340c9150be4d1b0509fd235e26ddc">Ogre::Resource::Listener::Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResource_8h_source.html#l00084">84</a> of file <a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a087cbfc9a4ad6490b09884d482932945"></a><!-- doxytag: member="Ogre::Resource::Listener::~Listener" ref="a087cbfc9a4ad6490b09884d482932945" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Resource_1_1Listener.html#a087cbfc9a4ad6490b09884d482932945">Ogre::Resource::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResource_8h_source.html#l00085">85</a> of file <a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7e351c772904425efce5e94f0418e6ca"></a><!-- doxytag: member="Ogre::Resource::Listener::backgroundLoadingComplete" ref="a7e351c772904425efce5e94f0418e6ca" args="(Resource *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Resource_1_1Listener.html#a7e351c772904425efce5e94f0418e6ca">Ogre::Resource::Listener::backgroundLoadingComplete</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback to indicate that background loading has completed. </p>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000007">Deprecated:</a></b></dt><dd>Use loadingComplete instead. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1Entity.html#a362ee625bacf70c5e6820fa761f43f02">Ogre::Entity</a>.</p>

<p>Definition at line <a class="el" href="OgreResource_8h_source.html#l00091">91</a> of file <a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>.</p>

</div>
</div>
<a class="anchor" id="abcafaeb14fede970bb6a1f1920dcf2e0"></a><!-- doxytag: member="Ogre::Resource::Listener::backgroundPreparingComplete" ref="abcafaeb14fede970bb6a1f1920dcf2e0" args="(Resource *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Resource_1_1Listener.html#abcafaeb14fede970bb6a1f1920dcf2e0">Ogre::Resource::Listener::backgroundPreparingComplete</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback to indicate that background preparing has completed. </p>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000008">Deprecated:</a></b></dt><dd>Use preparingComplete instead. </dd></dl>

<p>Definition at line <a class="el" href="OgreResource_8h_source.html#l00097">97</a> of file <a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac8d962ac52ef53a2ad6ddbdc5b6c9655"></a><!-- doxytag: member="Ogre::Resource::Listener::loadingComplete" ref="ac8d962ac52ef53a2ad6ddbdc5b6c9655" args="(Resource *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Resource_1_1Listener.html#ac8d962ac52ef53a2ad6ddbdc5b6c9655">Ogre::Resource::Listener::loadingComplete</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called whenever the resource finishes loading. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If a <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> has been marked as background loaded (</dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Resource.html#ae0a0007de944eb3c2f933a372a752b35" title="Tells the resource whether it is background loaded or not.">Resource::setBackgroundLoaded</a>), the call does not itself occur in the thread which is doing the loading; when loading is complete a response indicator is placed with the <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various resource managers...">ResourceGroupManager</a>, which will then be sent back to the listener as part of the application's primary frame loop thread. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1GpuProgramUsage.html#af7656f20d47cd7df24b98bc4b44bf8ef">Ogre::GpuProgramUsage</a>.</p>

<p>Definition at line <a class="el" href="OgreResource_8h_source.html#l00107">107</a> of file <a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7951abdcff85efd6cf58a49d94442f67"></a><!-- doxytag: member="Ogre::Resource::Listener::preparingComplete" ref="a7951abdcff85efd6cf58a49d94442f67" args="(Resource *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Resource_1_1Listener.html#a7951abdcff85efd6cf58a49d94442f67">Ogre::Resource::Listener::preparingComplete</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>called whenever the resource finishes preparing (paging into memory). </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If a <a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> has been marked as background loaded (</dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Resource.html#ae0a0007de944eb3c2f933a372a752b35" title="Tells the resource whether it is background loaded or not.">Resource::setBackgroundLoaded</a>) the call does not itself occur in the thread which is doing the preparing; when preparing is complete a response indicator is placed with the <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various resource managers...">ResourceGroupManager</a>, which will then be sent back to the listener as part of the application's primary frame loop thread. </dd></dl>

<p>Definition at line <a class="el" href="OgreResource_8h_source.html#l00118">118</a> of file <a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9f8cdeb73a65a6a1c018e5ac783dfafe"></a><!-- doxytag: member="Ogre::Resource::Listener::unloadingComplete" ref="a9f8cdeb73a65a6a1c018e5ac783dfafe" args="(Resource *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1Resource_1_1Listener.html#a9f8cdeb73a65a6a1c018e5ac783dfafe">Ogre::Resource::Listener::unloadingComplete</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called whenever the resource has been unloaded. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GpuProgramUsage.html#a22bb67a36e44cc6202dd87bc802a0736">Ogre::GpuProgramUsage</a>.</p>

<p>Definition at line <a class="el" href="OgreResource_8h_source.html#l00121">121</a> of file <a class="el" href="OgreResource_8h_source.html">OgreResource.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreResource_8h_source.html">OgreResource.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
